# Use --define 'noxlc 1' on the command line to use gcc
%{!?noxlc:%define XLC 1}
%{?noxlc:%define XLC 0}

Name: kdemultimedia
Summary: Multimedia applications for the K Desktop Environment (KDE).
Prefix: %{_prefix}/kde
Version: 3.0
Release: 1
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-kde-common.patch
Patch1: %{name}-%{version}-aix.patch
Patch2: %{name}-%{version}-xlc.patch
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Requires: kdelibs
BuildPrereq: automake = 1.5, autoconf >= 2.5, kdelibs-devel

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including kmedia, a media player; kmid, a midi/karaoke player;
kmidi, a midi-to-wav player/converter; kmix, a mixer; and kscd, and
audio CD player.

Install kdemultimedia if you need multimedia applications for KDE. If
you're installing KDE, you'll also need to install kdebase, kdelibs
and kdesupport.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
# Common patches.
%patch0 -p0 -b .aix
%patch1 -p0 -b .aix
# Per-compiler patches.  These will break (or are untested) on the other.
%if %{XLC} == 1
%patch2 -p0 -b .xlc
%endif

%if %{XLC} == 0
  # Deoptimize.  Temporary until compiler is in better shape.
  for file in `find . -print | xargs grep -l '\-O[23]'`; do
    cp $file $file.withO2orO3
    sed -e 's/\-O[23]/-O0/g' < $file.withO2orO3 > $file
  done
%endif


%build
%{!?noxlc: export CC=xlc CXX=xlC}
export KDEDIR=%{prefix}
export QTDIR=%{_prefix}/qt
export CXXFLAGS="%{!?noxlc: -qrtti=all}" CFLAGS="%{!?noxlc: -Dinline=_Inline}"
./configure \
	--prefix=%{prefix} --disable-debug %{?noxlc: --enable-final}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Stripping decreases size a lot!
%if %{XLC} == 0
  /usr/bin/strip $RPM_BUILD_ROOT%{prefix}/bin/* || :
  /usr/bin/strip $RPM_BUILD_ROOT%{prefix}/lib/*.so || :
%endif

mkdir -p $RPM_BUILD_ROOT/usr
ln -sf ..%{prefix} $RPM_BUILD_ROOT/usr
chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*

# don't make these world-writeable
chmod go-w $RPM_BUILD_ROOT/%{prefix}/share/apps/kscd/*
chmod go-w $RPM_BUILD_ROOT/%{prefix}/share/apps/kscd/cddb/*

cd $RPM_BUILD_ROOT
find .%{prefix} -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config |' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

echo "%docdir %{prefix}/share/doc" >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Apr  3 2002 Reza Arbab <arbab@austin.ibm.com>
- 3.0
- build with xlC

* Mon Sep 17 2001 Reza Arbab <arbab@austin.ibm.com>
- 2.2.1

* Mon Aug 13 2001 Reza Arbab <arbab@austin.ibm.com>
- 2.2

* Tue Mar 13 2001 Marc Stephenson <marc@austin.ibm.com>
- Filter /usr from directory listings
- Rebuild against new shared objects
- Clean install directory

* Fri Mar  2 2001 pkgmgr <pkgmgr@austin.ibm.com>
- 2.1

* Thu Dec 21 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Thu May 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90
